Update 3.0.14 auf 3.2.5

Fragen zur Bedienung von phpBB 3.0.x, Probleme bei der Benutzung und alle weiteren Fragen inkl. Update auf die neuste phpBB 3.0.14 Version
Forumsregeln
phpBB 3.0 hat das Ende seiner Lebenszeit überschritten
phpBB 3.0 wird nicht mehr aktiv unterstützt. Insbesondere werden - auch bei Sicherheitslücken - keine Patches mehr bereitgestellt. Der Einsatz von phpBB 3.0 erfolgt daher auf eigene Gefahr. Wir empfehlen einen Umstieg auf phpBB 3.1, welches aktiv weiterentwickelt wird und für welches regelmäßig Updates zur Verfügung gestellt werden.
Benutzeravatar
kblaubaer
Mitglied
Beiträge: 36
Registriert: 15.07.2011 09:29

Update 3.0.14 auf 3.2.5

Beitragvon kblaubaer » 13.03.2019 16:31

Hallo,

nachdem mein Provider von PHP5.6 auf PHP7.2 umgestellt hat (und mir die Pistole auf die Brust gesetzt hat) und mein 3.0.14-Forum jetzt nicht mehr rundläuft (oben am Bildschirm kommen Fehlermeldungen, die Umlaute werden nicht richtig decodiert und posten ist nicht mehr möglich), frage ich mich was tun?

Ich habe nur kurz daran gedacht, mir einen Patch auf die 3.0.14 zu spielen, der angeblich die Probleme mit PHP7.2 beheben soll - nur kurz, Ehrenwort! :P

Jetzt scheint die Zeit gekommen, auf 3.2.5 upzugraden. Ich habe in der KB diesen Artikel gefunden - ist der noch aktuell?

Ich habe dann versucht, mit der STK (von der englischen Seite geladen) eine Datenbankbereinigung durchzuführen, allerdings kommt bei Aufruf des Befehls Database Cleaner nur ein weißer Bildschirm und es geht nicht weiter. Ich habe Tapatalk als Mod drauf (ja ich weiß, Tapatalk bringt nichts und spioniert), den nutze ich schon lange nicht mehr und wollte ihn mit der STK runterschmeißen. Es reicht wahrscheinlich nicht, wenn ich nur das Verzeichnis "mobiquo" vom Server lösche, oder? Wie gehe ich vor?

Danke und Grüße, Michael
phpBB v3.2.5

Benutzeravatar
chris1278
Mitglied
Beiträge: 1398
Registriert: 12.11.2007 06:20
Wohnort: Euskirchen
Kontaktdaten:

Re: Update 3.0.14 auf 3.2.5

Beitragvon chris1278 » 13.03.2019 16:41

Na da du nicht mehr auf php 5 laufen lassen kannst must du ein backup der datenbank ziehen und das local ans laufenbringen und dann kannst du das ubdate gemäs der anleitung local machen. Danach die datenbank local backup machen und alles auf dem server hochladen.

So in etwa grob gesagt.

Benutzeravatar
Mahony
Ehemaliger
Beiträge: 11884
Registriert: 17.11.2005 22:33
Wohnort: Esslingen (Neckar)
Kontaktdaten:

Re: Update 3.0.14 auf 3.2.5

Beitragvon Mahony » 13.03.2019 16:43

Hallo
kblaubaer hat geschrieben:Ich habe in der KB diesen Artikel gefunden - ist der noch aktuell?

Ja, der ist noch aktuell.

kblaubaer hat geschrieben:Ich habe dann versucht, mit der STK (von der englischen Seite geladen) eine Datenbankbereinigung durchzuführen, allerdings kommt bei Aufruf des Befehls Database Cleaner nur ein weißer Bildschirm und es geht nicht weiter.

Das liegt daran, dass das STK für phpBB3.0.x nicht unter PHP7.x läuft. Du kannst aber die Datenbank auch später noch von unnützem Ballast aus alten MODs bereinigen (mit dem [phpBB3.2.x] STK für phpBB 3.2.5 Deutsch).
Also mach das Upgrade wie in der Anleitung beschrieben, und im Anschluss daran bereinigst du mit dem genannten STK die Datenbank.

P.S. Bitte beim Upgrade die manuelle Methode verwenden ( Manuelles Upgrade).


Grüße: Mahony
Taekwondo in Berlin
Wer fragt, ist ein Narr für fünf Minuten, wer nicht fragt, ist ein Narr für immer.

Benutzeravatar
kblaubaer
Mitglied
Beiträge: 36
Registriert: 15.07.2011 09:29

Re: Update 3.0.14 auf 3.2.5

Beitragvon kblaubaer » 13.03.2019 17:56

Hallo,

da halte ich mich doch lieber an den Post von Mahony - klingt irgendwie fundierter (sorry chris1278!)! :grin:

Ich melde mich dann wieder, wenn's läuft... :P

Danke und Grüße, Michael
phpBB v3.2.5

Benutzeravatar
chris1278
Mitglied
Beiträge: 1398
Registriert: 12.11.2007 06:20
Wohnort: Euskirchen
Kontaktdaten:

Re: Update 3.0.14 auf 3.2.5

Beitragvon chris1278 » 13.03.2019 19:26

kein problem must du wissen wie du es machst.

Benutzeravatar
kblaubaer
Mitglied
Beiträge: 36
Registriert: 15.07.2011 09:29

Re: Update 3.0.14 auf 3.2.5

Beitragvon kblaubaer » 14.03.2019 09:07

Hallo,

noch eine Frage zum Upgrade auf 3.2.5:

Ich betreibe ein Schachforum und hatte vor Jahren pgn4web installiert mit BBCodes (pgn und pos) - muss ich da vor dem Update irgendwas machen, z.B. die BBCodes löschen?

Danke und Grüße, Michael

Edit: Die angesprochenen BBCodes funktionieren auch nicht mehr seit der PHP7.2-Umstellung! :cry:
phpBB v3.2.5

Benutzeravatar
Mahony
Ehemaliger
Beiträge: 11884
Registriert: 17.11.2005 22:33
Wohnort: Esslingen (Neckar)
Kontaktdaten:

Re: Update 3.0.14 auf 3.2.5

Beitragvon Mahony » 14.03.2019 09:22

Hallo
Hm...löschen musst du die BBCodes nicht. Es könnte allerdings sein dass selbst erstellte BBCodes nach dem Upgrade nicht mehr korrekt funktionieren, da die BBCode-Engine in phpB3.2.x geändert wurde.

Edit:
kblaubaer hat geschrieben:die Umlaute werden nicht richtig decodiert

Also entweder hat da dein Provider die Datenbank falsch eingespielt, oder du hast in deiner .htaccess einen Eintrag wie

Code: Alles auswählen

AddDefaultCharset ISO-8859-1


Falls du einen solchen Eintrag in der .htaccess deines Forums hast, dann musst du diesen Entfernen. Ansonsten schau auch mal hier >>> http://phpbb3-support.square7.ch/viewto ... 388&p=1396

P.S. Das Programm DUK (welches man dort herunterladen kann) funktioniert leider nur bis zur PHP-Version 5.6 und das Script dort läuft nur bis phpBB3.0.14
Das bedeutet, du müsstest die manuelle Methode verwenden.



Grüße: Mahony
Taekwondo in Berlin
Wer fragt, ist ein Narr für fünf Minuten, wer nicht fragt, ist ein Narr für immer.

Benutzeravatar
kblaubaer
Mitglied
Beiträge: 36
Registriert: 15.07.2011 09:29

Re: Update 3.0.14 auf 3.2.5

Beitragvon kblaubaer » 15.03.2019 07:10

Hallo,

diese beiden Arten von Fehlermeldungen kommen im oberen Bildschirmbereich meines Forums - es läuft noch auf Version 3.0.14, der Fehler kommt seit Umstellung auf PHP7.2:

Code: Alles auswählen

[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4779: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3897)

Kann jemand damit etwas anfangen?

Grüße, Michael
phpBB v3.2.5

Benutzeravatar
Mahony
Ehemaliger
Beiträge: 11884
Registriert: 17.11.2005 22:33
Wohnort: Esslingen (Neckar)
Kontaktdaten:

Re: Update 3.0.14 auf 3.2.5

Beitragvon Mahony » 15.03.2019 08:04

Hallo
kblaubaer hat geschrieben:Kann jemand damit etwas anfangen?


[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 488: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead

Die Fehlermeldung besagt folgendes

preg_replace(): Der /e Modifikator wird nicht mehr unterstützt, verwenden Sie stattdessen preg_replace_callback.


Das bedeutet dass in der Datei /includes/bbcode.php deines Forums, Code verwendet wird der nicht mehr unterstützt wird (unter PHP7.x).

Lösung: Das Forum auf die neueste phpBB3.2.5 - Version upgraden.

P.S. Die zweite Fehlermeldung resultiert aus der ersten Fehlermeldung, ist also lediglich ein Folgefehler.


Grüße: Mahony
Taekwondo in Berlin
Wer fragt, ist ein Narr für fünf Minuten, wer nicht fragt, ist ein Narr für immer.

Benutzeravatar
Mylady
Mitglied
Beiträge: 510
Registriert: 23.02.2009 16:29
Wohnort: Velbert (NRW)
Kontaktdaten:

Re: Update 3.0.14 auf 3.2.5

Beitragvon Mylady » 15.03.2019 10:06

kblaubaer hat geschrieben:Hallo,

diese beiden Arten von Fehlermeldungen kommen im oberen Bildschirmbereich meines Forums - es läuft noch auf Version 3.0.14, der Fehler kommt seit Umstellung auf PHP7.2:



Meines Wissens kann 3.0.x nicht mit PHP 7.2 umgehen - eben weil da viele Befehlssätze verändert wurden. Wie Mahoney schon sagt: updaten. Umstellen vielleicht erst danach, wenn möglich - das Update unter 5.6 machen.
https://ladyscommunity.de | Deutsche Übersetzungen für Extensionen (ggf. auf Anfrage)
-
Die Bosheit trinkt die Hälfte ihres eigenen Giftes (Lucius Annaeus Seneca)


Zurück zu „[3.0.x] Administration, Benutzung und Betrieb“